Get token details
curl --request GET \
--url https://api.launch.o1.exchange/v1/tokens/{chain_id}/{token_address} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/tokens/{chain_id}/{token_address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/tokens/{chain_id}/{token_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"total_supply_raw": "<string>",
"image_url": "<string>",
"description": "<string>",
"contract_uri": "<string>",
"website": "<string>",
"x": "<string>",
"telegram": "<string>"
},
"launch": {
"creator_address": "<string>",
"suite": {
"id": "<string>",
"version": "<string>"
},
"pool_id": "<string>",
"quote": {
"address": "<string>",
"symbol": "<string>",
"decimals": 127
},
"features": {
"allocations": true,
"vesting": true,
"editable_metadata": true
},
"contracts": {
"factory_address": "<string>",
"hook_address": "<string>",
"fee_escrow_address": "<string>",
"vesting_vault_address": "<string>",
"announcement_registry_address": "<string>"
},
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"created_at": "2023-11-07T05:31:56Z",
"creation_fee": {
"amount_raw": "<string>",
"currency_address": "<string>",
"decimals": 127,
"symbol": "<string>"
}
},
"pool": {
"pool_id": "<string>",
"pool_manager_address": "<string>",
"currency0_address": "<string>",
"currency1_address": "<string>",
"token_is_currency0": true,
"hook_address": "<string>",
"tick_spacing": 123,
"fees": {
"base_fee_bps": 5000,
"distribution_bps": {
"creator": 5000,
"platform": 5000,
"referrer": 5000
}
},
"anti_snipe": {
"start_total_bps": 5000,
"window_seconds": 1,
"launch_time": "2023-11-07T05:31:56Z",
"window_blocks": 1,
"launch_block": 1
},
"seed": {
"positions": [
{
"tick_lower": 123,
"tick_upper": 123,
"liquidity_raw": "<string>"
}
],
"token_amount_raw": "<string>"
},
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
}
},
"market_data": {
"price": {
"quote": 123,
"usd": 123
},
"market_cap": {
"quote": 123,
"usd": 123,
"ath_quote": 123
},
"liquidity": {
"quote": 123,
"usd": 123
},
"activity": {
"1h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"6h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"24h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"lifetime": {
"trades": 123,
"volume_quote_raw": "1000000000000000000"
}
},
"last_trade_at": "2026-07-31T12:00:00.000Z",
"unique_traders_24h": 123,
"pool_state": {
"tick": 123,
"sqrt_price_x96": "1000000000000000000",
"liquidity_raw": "1000000000000000000"
},
"fee_revenue": [
{
"currency_address": "<string>",
"creator_raw": "<string>",
"referrer_raw": "<string>",
"platform_raw": "<string>"
}
],
"quote_price": {
"usd": 123,
"updated_at": "2026-07-31T12:00:00.000Z"
},
"observed_block": 123,
"confirmed_block": 123,
"updated_at": "2026-07-31T12:00:00.000Z"
},
"allocations": [
{
"recipient": "<string>",
"amount_raw": "<string>",
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"supply_bps": 5000
}
],
"vesting": [
{
"kind": "<string>",
"suite": {
"id": "<string>",
"version": "<string>"
},
"vault_address": "<string>",
"token_address": "<string>",
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
},
"beneficiary": "<string>",
"total_raw": "<string>",
"vested_raw": "<string>",
"claimed_raw": "<string>",
"claimable_raw": "<string>",
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"schedule": [
{
"unlocks_at": "2023-11-07T05:31:56Z",
"cumulative_amount_raw": "<string>",
"cumulative_bps": 5000
}
],
"next_unlock_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"price_usd": 1
}
],
"announcements": [
{
"kind": "<string>",
"announcement_id": "<string>",
"token_address": "<string>",
"creator_address": "<string>",
"description": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"uri": "<string>"
}
]
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}Tokens
Get token details
Get one token’s launch data and optionally include its pool, market, allocations, vesting, and recent announcements.
GET
/
tokens
/
{chain_id}
/
{token_address}
Get token details
Authorizations
Production API key beginning with o1_launch_.
Path Parameters
Production chain containing the resource.
Available options:
8453, 4663 Example:
8453
Launch token contract address.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Comma-separated subset of pool, market, allocations, vesting, and announcements.
Maximum recent announcements when announcements are included.
Required range:
1 <= x <= 10⌘I
